%define with_jfs %{?_with_jfs:1}%{!?_with_jfs:0}
%define with_reiserfs %{?_with_reiserfs:1}%{!?_with_reiserfs:0}
%define with_xfs %{?_with_xfs:1}%{!?_with_xfs:0}
%define with_ntfs %{?_with_ntfs:1}%{!?_with_ntfs:0}
%define qtdir %(. %{_sysconfdir}/profile.d/qt.sh 2>/dev/null; echo $QTDIR)

Summary: Graphical Partitioning Tool
Name: qtparted
Version: 0.4.4
Release: 4.EL4plus
License: GPL
Group: Application/System
URL: http://qtparted.sourceforge.net
Source0: %{name}-%{version}.tar.bz2
Source1:        %{name}.pam
Source2:        %{name}.consoleapp
Source3:        %{name}.qtpartedrc
Patch0:         %{name}-desktop.patch
Packager: %{?_packager:%{_packager}}%{!?_packager:Jim Perrin <jperrin@gmail.com>}
Vendor: %{?_vendorinfo:%{_vendorinfo}}%{!?_vendorinfo:CentOS-Plus (http://www.centos.org/)}
Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
BuildRequires: parted-devel qt-devel XFree86-devel desktop-file-utils qt-designer
BuildRequires: e2fsprogs-devel usermode-gtk libjpeg-devel zlib-devel
%if %{with_jfs}
BuildRequires: jfsutils
%endif

%if %{with_xfs}
BuildRequires: xfsprogs
%endif

%if %{with_reiserfs}
BuildRequires: reiserfs-utils
%endif

%if %{with_ntfs}
BuildRequires: ntfsprogs
%endif


BuildRoot: %{_tmppath}/%{name}-%{version}-root
 
%description
qtparted is a graphical partitioning utility

%prep
%setup -q
%patch0 -p0 
%build
export QTDIR="%{qtdir}"
%configure \
	%{!?_with_jfs:--disable-jfs} \
	%{!?_with_xfs:--disable-xfs} \
	%{!?_with_reiserfs:--disable-reiserfs} \
	%{!?_with_ntfs:--disable-ntfs} \
	--enable-labels \
	--with-gnu-ld=yes \
	--with-log-dir=%{_localstatedir}/log

%{__make} %{?_smp_mflags} %{?mflags}


%install 
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

desktop-file-install \
  --vendor CentOS \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Centos \
  $RPM_BUILD_ROOT%{_datadir}/applnk/System/qtparted.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk
ln -s %{_datadir}/qtparted/pics/qtparted_32.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/qtparted.png

# PAM configuration
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/qtparted
install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/qtparted
install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/qtparted

# Default configuration
install -Dpm 0644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{qtdir}/etc/settings/qtpartedrc
touch $RPM_BUILD_ROOT%{qtdir}/etc/settings/.qtpartedrc.lock
chmod 600 $RPM_BUILD_ROOT%{qtdir}/etc/settings/.qtpartedrc.lock


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS doc/BUGS debian/changelog COPYING doc/README doc/TODO.txt
%config(noreplace) %{_sysconfdir}/pam.d/qtparted
%config(noreplace) %{_sysconfdir}/security/console.apps/qtparted
%config %{qtdir}/etc/settings/qtpartedrc
%ghost %{qtdir}/etc/settings/.qtpartedrc.lock
%{_bindir}/qtparted
%{_sbindir}/qtparted
%exclude %{_sbindir}/run_qtparted
%{_datadir}/applications/*qtparted.desktop
%{_datadir}/pixmaps/qtparted.png
%exclude %{_datadir}/pixmaps/qtparted.xpm
%dir %{_datadir}/qtparted
%{_datadir}/qtparted/pics
%dir %{_datadir}/qtparted/locale
%lang(ca) %{_datadir}/qtparted/locale/*_ca.qm
%lang(cs) %{_datadir}/qtparted/locale/*_cs.qm
%lang(de) %{_datadir}/qtparted/locale/*_de.qm
%lang(es) %{_datadir}/qtparted/locale/*_es.qm
%lang(fr) %{_datadir}/qtparted/locale/*_fr.qm
%lang(it) %{_datadir}/qtparted/locale/*_it.qm
%lang(pl) %{_datadir}/qtparted/locale/*_pl.qm
%lang(ru) %{_datadir}/qtparted/locale/*_ru.qm
%lang(ua) %{_datadir}/qtparted/locale/*_ua.qm
%{_mandir}/man1/qtparted.1*




%changelog
* Mon Sep 12 2005 Jim Perrin <jperrin@gmail.com> - 0.4.4-4
- Initial package. Some portions of this spec taken from fedora extras
